it-swarm-es.com

Actualice de 12.04 a 12.10 bucles y falla con "No se puede obtener el bloqueo exclusivo"

Estoy tratando de actualizar de 12.04 a 12.10 pero falla constantemente de la misma manera.

Primero, el proceso de actualización se repite (do-release-upgrade) pasando por lo siguiente muchas veces

Reading package lists... Done    
Building dependency tree... Done
Reading state information... Done
Building data structures... Done

Luego muere con "No se puede obtener bloqueo exclusivo".

No estoy ejecutando otro administrador de paquetes, por lo que este no es un duplicado de No se puede usar el administrador de paquetes debido al error de "bloqueo exclusivo" .

¿Alguien tiene alguna idea de cómo solucionar esto? Intenté mirar los registros en/var/log/dist-upgrade pero no pude encontrar ninguna información de error útil.

1
Dejan Jovanović

Lo comprobaría, porque creo que en algún momento podría cambiar el nombre del repositorio de digamos preciso a cuántico para producir el mismo efecto. El proceso consistía en asegurarse de actualizar todo en su versión actual con repositorios y luego cambiarlos y ejecutar Sudo apt-get dist-upgrade.

1
Mordoc